org.keycloak.broker.provider

## Class AuthenticationRequest

- java.lang.Object
- - org.keycloak.broker.provider.AuthenticationRequest

-     public class AuthenticationRequest
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationRequest(KeycloakSession session, RealmModel realm, AuthenticationSessionModel authSession, org.jboss.resteasy.spi.HttpRequest httpRequest, javax.ws.rs.core.UriInfo uriInfo, IdentityBrokerState state, String redirectUri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationSessionModel` | `getAuthenticationSession()`
    `org.jboss.resteasy.spi.HttpRequest` | `getHttpRequest()`
    `RealmModel` | `getRealm()`
    `String` | `getRedirectUri()` Returns the redirect url that must be included in an authentication request in order to process responses from an identity provider.
    `KeycloakSession` | `getSession()`
    `IdentityBrokerState` | `getState()`
    `javax.ws.rs.core.UriInfo` | `getUriInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationRequest

          public AuthenticationRequest(KeycloakSession session,
                                       RealmModel realm,
                                       AuthenticationSessionModel authSession,
                                       org.jboss.resteasy.spi.HttpRequest httpRequest,
                                       javax.ws.rs.core.UriInfo uriInfo,
                                       IdentityBrokerState state,
                                       String redirectUri)

  - ### Method Detail

    - #### getSession

          public KeycloakSession getSession()

    - #### getUriInfo

          public javax.ws.rs.core.UriInfo getUriInfo()

    - #### getState

          public IdentityBrokerState getState()

    - #### getHttpRequest

          public org.jboss.resteasy.spi.HttpRequest getHttpRequest()

    - #### getRealm

          public RealmModel getRealm()

    - #### getRedirectUri

          public String getRedirectUri()

      Returns the redirect url that must be included in an authentication request in order to process responses from an identity provider.

      Returns:

    - #### getAuthenticationSession

          public AuthenticationSessionModel getAuthenticationSession()

Copyright © 2021 JBoss by Red Hat. All rights reserved.